org.opencv.features2d

## Class AKAZE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.AKAZE

-     public class AKAZE
      extends Feature2D

  Class implementing the AKAZE keypoint detector and descriptor extractor, described in CITE: ANB13. AKAZE descriptors can only be used with KAZE or AKAZE keypoints. This class is thread-safe. Note: When you need descriptors use Feature2D::detectAndCompute, which provides better performance. When using Feature2D::detect followed by Feature2D::compute scale space pyramid is computed twice. Note: AKAZE implements T-API. When image is passed as UMat some parts of the algorithm will use OpenCL. Note: [ANB13] Fast Explicit Diffusion for Accelerated Features in Nonlinear Scale Spaces. Pablo F. Alcantarilla, Jesús Nuevo and Adrien Bartoli. In British Machine Vision Conference (BMVC), Bristol, UK, September 2013.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DESCRIPTOR_KAZE`
    `static int` | `DESCRIPTOR_KAZE_UPRIGHT`
    `static int` | `DESCRIPTOR_MLDB`
    `static int` | `DESCRIPTOR_MLDB_UPRIGHT`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AKAZE(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AKAZE` | `__fromPtr__(long addr)`
    `static AKAZE` | `create()` The AKAZE constructor DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
    `static AKAZE` | `create(int descriptor_type)` The AKAZE constructor
    `static AKAZE` | `create(int descriptor_type, int descriptor_size)` The AKAZE constructor
    `static AKAZE` | `create(int descriptor_type, int descriptor_size, int descriptor_channels)` The AKAZE constructor
    `static AKAZE` | `create(int descriptor_type, int descriptor_size, int descriptor_channels, float threshold)` The AKAZE constructor
    `static AKAZE` | `create(int descriptor_type, int descriptor_size, int descriptor_channels, float threshold, int nOctaves)` The AKAZE constructor
    `static AKAZE` | `create(int descriptor_type, int descriptor_size, int descriptor_channels, float threshold, int nOctaves, int nOctaveLayers)` The AKAZE constructor
    `static AKAZE` | `create(int descriptor_type, int descriptor_size, int descriptor_channels, float threshold, int nOctaves, int nOctaveLayers, int diffusivity)` The AKAZE constructor
    `protected void` | `finalize()`
    `String` | `getDefaultName()` Returns the algorithm string identifier.
    `int` | `getDescriptorChannels()`
    `int` | `getDescriptorSize()`
    `int` | `getDescriptorType()`
    `int` | `getDiffusivity()`
    `int` | `getNOctaveLayers()`
    `int` | `getNOctaves()`
    `double` | `getThreshold()`
    `void` | `setDescriptorChannels(int dch)`
    `void` | `setDescriptorSize(int dsize)`
    `void` | `setDescriptorType(int dtype)`
    `void` | `setDiffusivity(int diff)`
    `void` | `setNOctaveLayers(int octaveLayers)`
    `void` | `setNOctaves(int octaves)`
    `void` | `setThreshold(double threshold)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DESCRIPTOR_KAZE_UPRIGHT

          public static final int DESCRIPTOR_KAZE_UPRIGHT

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_KAZE

          public static final int DESCRIPTOR_KAZE

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_MLDB_UPRIGHT

          public static final int DESCRIPTOR_MLDB_UPRIGHT

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_MLDB

          public static final int DESCRIPTOR_MLDB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AKAZE

          protected AKAZE(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AKAZE __fromPtr__(long addr)

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size,
                                     int descriptor_channels,
                                     float threshold,
                                     int nOctaves,
                                     int nOctaveLayers,
                                     int diffusivity)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
        `descriptor_size` - Size of the descriptor in bits. 0 -> Full size
        `descriptor_channels` - Number of channels in the descriptor (1, 2, 3)
        `threshold` - Detector response threshold to accept point
        `nOctaves` - Maximum octave evolution of the image
        `nOctaveLayers` - Default number of sublevels per scale level
        `diffusivity` - Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size,
                                     int descriptor_channels,
                                     float threshold,
                                     int nOctaves,
                                     int nOctaveLayers)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
        `descriptor_size` - Size of the descriptor in bits. 0 -> Full size
        `descriptor_channels` - Number of channels in the descriptor (1, 2, 3)
        `threshold` - Detector response threshold to accept point
        `nOctaves` - Maximum octave evolution of the image
        `nOctaveLayers` - Default number of sublevels per scale level DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size,
                                     int descriptor_channels,
                                     float threshold,
                                     int nOctaves)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
        `descriptor_size` - Size of the descriptor in bits. 0 -> Full size
        `descriptor_channels` - Number of channels in the descriptor (1, 2, 3)
        `threshold` - Detector response threshold to accept point
        `nOctaves` - Maximum octave evolution of the image DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size,
                                     int descriptor_channels,
                                     float threshold)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
        `descriptor_size` - Size of the descriptor in bits. 0 -> Full size
        `descriptor_channels` - Number of channels in the descriptor (1, 2, 3)
        `threshold` - Detector response threshold to accept point DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size,
                                     int descriptor_channels)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
        `descriptor_size` - Size of the descriptor in bits. 0 -> Full size
        `descriptor_channels` - Number of channels in the descriptor (1, 2, 3) DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT.
        `descriptor_size` - Size of the descriptor in bits. 0 -> Full size DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create(int descriptor_type)

      The AKAZE constructor
      Parameters:
        `descriptor_type` - Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT. DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static AKAZE create()

      The AKAZE constructor DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT. DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### getDefaultName

          public String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### getThreshold

          public double getThreshold()

    - #### getDescriptorChannels

          public int getDescriptorChannels()

    - #### getDescriptorSize

          public int getDescriptorSize()

    - #### getDescriptorType

          public int getDescriptorType()

    - #### getDiffusivity

          public int getDiffusivity()

    - #### getNOctaveLayers

          public int getNOctaveLayers()

    - #### getNOctaves

          public int getNOctaves()

    - #### setDescriptorChannels

          public void setDescriptorChannels(int dch)

    - #### setDescriptorSize

          public void setDescriptorSize(int dsize)

    - #### setDescriptorType

          public void setDescriptorType(int dtype)

    - #### setDiffusivity

          public void setDiffusivity(int diff)

    - #### setNOctaveLayers

          public void setNOctaveLayers(int octaveLayers)

    - #### setNOctaves

          public void setNOctaves(int octaves)

    - #### setThreshold

          public void setThreshold(double threshold)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8